about summary refs log tree commit diff
path: root/test/build
diff options
context:
space:
mode:
Diffstat (limited to 'test/build')
-rwxr-xr-xtest/build/atk-build.sh16
-rwxr-xr-xtest/build/gnet-build.sh14
-rwxr-xr-xtest/build/gtk+-build.sh14
-rwxr-xr-xtest/build/gtkspell-build.sh14
-rwxr-xr-xtest/build/pan-build-2.sh14
-rwxr-xr-xtest/build/pango-build.sh16
-rwxr-xr-xtest/build/pspell-build.sh14
7 files changed, 51 insertions, 51 deletions
diff --git a/test/build/atk-build.sh b/test/build/atk-build.sh
index 58d190aefa23..632dbe12fbc4 100755
--- a/test/build/atk-build.sh
+++ b/test/build/atk-build.sh
@@ -4,11 +4,11 @@ export PATH=$pkgconfig/bin:/bin:/usr/bin
 export PKG_CONFIG_PATH=$glib/lib/pkgconfig
 export LD_LIBRARY_PATH=$glib/lib
 
-top=`pwd`
-tar xvfj $src
-cd atk-*
-./configure --prefix=$top
-make
-make install
-cd ..
-rm -rf atk-*
+top=`pwd` || exit 1
+tar xvfj $src || exit 1
+cd atk-* || exit 1
+./configure --prefix=$top || exit 1
+make || exit 1
+make install || exit 1
+cd $top || exit 1
+rm -rf atk-* || exit 1
diff --git a/test/build/gnet-build.sh b/test/build/gnet-build.sh
index 9752994a11ec..72141c2687ae 100755
--- a/test/build/gnet-build.sh
+++ b/test/build/gnet-build.sh
@@ -5,10 +5,10 @@ export PKG_CONFIG_PATH=$glib/lib/pkgconfig
 export LD_LIBRARY_PATH=$glib/lib
 
 top=`pwd`
-tar xvfz $src
-cd gnet-*
-./configure --prefix=$top
-make
-make install
-cd ..
-rm -rf gnet-*
+tar xvfz $src || exit 1
+cd gnet-* || exit 1
+./configure --prefix=$top || exit 1
+make || exit 1
+make install || exit 1
+cd $top || exit 1
+rm -rf gnet-* || exit 1
diff --git a/test/build/gtk+-build.sh b/test/build/gtk+-build.sh
index 8451a2d4e1ba..3b663fec5f05 100755
--- a/test/build/gtk+-build.sh
+++ b/test/build/gtk+-build.sh
@@ -5,10 +5,10 @@ export PKG_CONFIG_PATH=$glib/lib/pkgconfig:$atk/lib/pkgconfig:$pango/lib/pkgconf
 export LD_LIBRARY_PATH=$glib/lib:$atk/lib:$pango/lib
 
 top=`pwd`
-tar xvfj $src
-cd gtk+-*
-./configure --prefix=$top
-make
-make install
-cd ..
-rm -rf gtk+-*
+tar xvfj $src || exit 1
+cd gtk+-* || exit 1
+./configure --prefix=$top || exit 1
+make || exit 1
+make install || exit 1
+cd $top || exit 1
+rm -rf gtk+-* || exit 1
diff --git a/test/build/gtkspell-build.sh b/test/build/gtkspell-build.sh
index 009e1133ccb2..d4267b302822 100755
--- a/test/build/gtkspell-build.sh
+++ b/test/build/gtkspell-build.sh
@@ -6,10 +6,10 @@ export LD_LIBRARY_PATH=$glib/lib:$atk/lib:$pango/lib:$gtk/lib:$pspell/lib
 export C_INCLUDE_PATH=$pspell/include
 
 top=`pwd`
-tar xvfz $src
-cd gtkspell-*
-./configure --prefix=$top
-make
-make install
-cd ..
-rm -rf gtkspell-*
+tar xvfz $src || exit 1
+cd gtkspell-* || exit 1
+./configure --prefix=$top || exit 1
+make || exit 1
+make install || exit 1
+cd $top || exit 1
+rm -rf gtkspell-* || exit 1
diff --git a/test/build/pan-build-2.sh b/test/build/pan-build-2.sh
index 87dd4e6a1b02..8320cb0102f9 100755
--- a/test/build/pan-build-2.sh
+++ b/test/build/pan-build-2.sh
@@ -11,10 +11,10 @@ export LIBRARY_PATH=$pspell/lib
 export LDFLAGS=-s
 
 top=`pwd`
-tar xvfj $src
-cd pan-*
-./configure --prefix=$top
-make
-make install
-cd ..
-rm -rf pan-*
+tar xvfj $src || exit 1
+cd pan-* || exit 1
+./configure --prefix=$top || exit 1
+make || exit 1
+make install || exit 1
+cd $top || exit 1
+rm -rf pan-* || exit 1
diff --git a/test/build/pango-build.sh b/test/build/pango-build.sh
index 4ed76f76ab5b..42a2758025cf 100755
--- a/test/build/pango-build.sh
+++ b/test/build/pango-build.sh
@@ -4,11 +4,11 @@ export PATH=$pkgconfig/bin:/bin:/usr/bin
 export PKG_CONFIG_PATH=$glib/lib/pkgconfig
 export LD_LIBRARY_PATH=$glib/lib
 
-top=`pwd`
-tar xvfj $src
-cd pango-*
-./configure --prefix=$top
-make
-make install
-cd ..
-rm -rf pango-*
+top=`pwd` || exit 1
+tar xvfj $src || exit 1
+cd pango-* || exit 1
+./configure --prefix=$top || exit 1
+make || exit 1
+make install || exit 1
+cd $top || exit 1
+rm -rf pango-* || exit 1
diff --git a/test/build/pspell-build.sh b/test/build/pspell-build.sh
index 57fb1dcbd1ee..862bb25e6159 100755
--- a/test/build/pspell-build.sh
+++ b/test/build/pspell-build.sh
@@ -3,10 +3,10 @@
 export PATH=/bin:/usr/bin
 
 top=`pwd`
-tar xvfz $src
-cd pspell-*
-./configure --prefix=$top
-make
-make install
-cd ..
-rm -rf pspell-*
+tar xvfz $src || exit 1
+cd pspell-* || exit 1
+./configure --prefix=$top || exit 1
+make || exit 1
+make install || exit 1
+cd $top || exit 1
+rm -rf pspell-* || exit 1